<template>
  <div>
    <section
      class="relative bg-secondary h-[calc(25vh+80px)] md:h-[calc(25vh+80px)] flex items-center justify-center"
    >
      <img
        src="/infraestructura-banner.webp"
        class="absolute top-0 bottom-0 left-0 right-0 object-cover object-center w-full h-full select-none opacity-20"
        alt=""
        loading="lazy"
      />
      <div
        class="relative px-10 mx-auto text-center lg:px-0 lg:max-w-6xl mt-[40px]"
      >
        <h1
          class="relative bai flex items-center justify-center mb-10 text-3xl font-normal uppercase lg:flex-row text-primary lg:text-6xl bai mt-[40px]"
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            xmlns:xlink="http://www.w3.org/1999/xlink"
            class="w-10 mr-5 lg:w-20"
            viewBox="0 0 77.332 79"
          >
            <defs>
              <clipPath id="clip-path">
                <rect width="77.332" height="79" fill="none" />
              </clipPath>
            </defs>
            <g transform="translate(0 0)">
              <path
                d="M16.722,80.956h62.37V18.586Z"
                transform="translate(-1.76 -1.956)"
                fill="#2b353e"
              />
              <g transform="translate(0 0)">
                <g clip-path="url(#clip-path)">
                  <path
                    d="M69.088,48.782A46.959,46.959,0,0,0,20.341.035,70.728,70.728,0,0,1,51.021,18.1a70.728,70.728,0,0,1,18.067,30.68"
                    transform="translate(-2.141 0)"
                    fill="#ffda00"
                  />
                  <rect
                    width="77.11"
                    height="6.44"
                    transform="translate(0 62.428) rotate(-45)"
                    fill="#c29f00"
                  />
                </g>
              </g>
            </g>
          </svg>

          <div class="flex flex-col items-center justify-center lg:flex-row">
            {{ $t('infrastructure.title') }}
          </div>
        </h1>
      </div>
    </section>

    <section class="relative py-16 bg-secondary">
      <div
        class="grid grid-cols-1 gap-8 px-10 mx-auto lg:max-w-6xl md:grid-cols-3"
      >
        <div class="flex items-center md:col-span-2">
          <p class="text-base leading-10 text-muted montserrat">
            {{ $t('infrastructure.text') }}
          </p>
        </div>
        <div class="flex items-center">
          <div class="relative w-full h-full overflow-hidden rounded-md bg-primary">
            <img src="/portada_hashportable1.webp" class="object-cover object-center w-full h-full" alt="" />
          </div>
        </div>
      </div>

      <div class="hidden px-10 mx-auto mt-16 lg:max-w-6xl">
        <div
          class="mb-8 text-2xl font-normal uppercase bai text-primary lg:text-4xl"
        >
          Modelo de Negocio
        </div>

        <ul>
          <li
            class="flex items-center justify-start text-xl font-normal text-white uppercase bai lg:text-3xl"
          >
            <span class="mr-2 text-primary">•</span> Todo en uno
          </li>
          <li
            class="flex items-center justify-start text-xl font-normal text-white uppercase bai lg:text-3xl"
          >
            <span class="mr-2 text-primary">•</span> Reparto de beneficios
          </li>
        </ul>

        <ul class="mt-10 text-base leading-10 text-muted montserrat">
          <li>*Los gastos de importación corren a cargo del cliente.</li>
          <li>
            *Los costes varían en función de la cantidad y el modelo de las
            máquinas.
          </li>
        </ul>
      </div>
    </section>

    <div class="px-10 mx-auto lg:max-w-6xl">
      <UtilsSlider :slides="slides" />

      <div
        class="flex flex-col justify-center mt-16 space-x-0 space-y-8 items-left lg:flex-row lg:space-x-8 lg:space-y-0"
      >
        <a
          href="/briefs/hoja-de-venta-infraestructura-de-hashrate.pdf"
          download="Hoja de venta - Infraestructura de Hashrate"
          class="btn btn-primary"
          >{{ $t('infrastructure.button') }}</a
        >
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'InfraestructuraPage',

  nuxtI18n: {
    paths: {
      en: '/mine/services/infrastructure',
      es: '/mina/servicios/infraestructura',
    },
  },

  data() {
    return {
      slides: [
        'infraestructura1.webp',
        'infraestructura2.webp',
        'infraestructura3.webp',
        'infraestructura4.webp',
        'infraestructura5.webp',
        'infraestructura6.webp',
      ],
    }
  },
}
</script>

<style></style>
